Get Country

Retrieves country information based on the country name or two-letter code entered in the parameters. The response can be used to provide a valid country name or code in Company addresses. Use the `searchType` parameter to specify whether you are searching by a country's name or its two-letter [ISO code](https://www.iso.org/obp/ui/#search), and then add the appropriate value for the country to the `q` parameter. This endpoint only accepts country name values in English, but you can set the `searchBy` paramteter to `1` to retrieve country information with the standard ISO code instead.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

searchTypeenumRequired

Determines whether you are searching by a country’s name (0) or its two-letter ISO code (1).

Allowed values:
qstringRequired

The country’s name or its two-letter ISO code, depending on the specified searchType.

Response

OK
codedoubleDefaults to 200
dataobject
metaobject

Errors

404
Not Found Error